aboutsummaryrefslogtreecommitdiff
path: root/sh
diff options
context:
space:
mode:
Diffstat (limited to 'sh')
-rw-r--r--sh/profile.d/keychain.sh4
-rw-r--r--sh/profile.d/pager.sh2
2 files changed, 3 insertions, 3 deletions
diff --git a/sh/profile.d/keychain.sh b/sh/profile.d/keychain.sh
index 55306ad4..a9725bec 100644
--- a/sh/profile.d/keychain.sh
+++ b/sh/profile.d/keychain.sh
@@ -1,11 +1,11 @@
# ssh-askpass setup
-if command -v ssh-askpass >/dev/null 2>&1 ; then
+if command -v ssh-askpass >/dev/null ; then
SSH_ASKPASS=$(command -v ssh-askpass)
export SSH_ASKPASS
fi
# keychain setup
-if command -v keychain >/dev/null 2>&1 ; then
+if command -v keychain >/dev/null ; then
eval "$(TERM=${TERM:-ansi} keychain \
--eval --ignore-missing --quiet id_dsa id_rsa id_ecsda)"
diff --git a/sh/profile.d/pager.sh b/sh/profile.d/pager.sh
index 2cbcb26d..a74e6aa1 100644
--- a/sh/profile.d/pager.sh
+++ b/sh/profile.d/pager.sh
@@ -1,6 +1,6 @@
# If we don't have less(1), we'll just use whatever pager the application or
# system deems fit
-command less >/dev/null 2>&1 || return
+command -v less >/dev/null || return
# Use less(1) as my PAGER
PAGER=less